Plugin Cycle Token
Cycles the static bearer token for an external plugin and returns the newly generated token. This operation is only valid for external plugins. Supervised plugins cycle their connection token automatically.
Cycles the static bearer token for an external plugin and returns the newly generated token. This operation is only valid for external plugins. Supervised plugins cycle their connection token automatically.
/plugins/{plugin_instance_id}/tokenAuthorization
browser In: cookie
Path Parameters
Plugin ID.
xidResponse Body
application/json
application/json
curl -X POST "https://loading/api/plugins/cc5lnd2s1s4652adtu50/token"{
"token": "string"
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Plugin Add POST
Add a plugin to the instance. This will not install or activate the plugin immediately. It will validate and prepare the plugin for install. Plugins can be uploaded directly as files or via a URL to a repository.
Plugin Delete DELETE
Completely delete a plugin from the instance. This will uninstall the plugin first then remove its binary file from the storage backend. Some plugins may write additional data to the instance, this will not be removed by this operation unless the plugin cleans up after itself.